import requests

class GithubAPI:
	def __init__(self):
		self.base_url = "https://api.github.com"
	def __invoke_api(self,method,endpoint,data={}):
		print("invoke {} {}/{}".format(method,self.base_url,endpoint))
		if method=="get":
			return requests.get("{}/{}".format(self.base_url,endpoint))
		elif method=="post":
			return requests.post("{}/{}".format(self.base_url,endpoint),json=data)
	def get_organization_repos(self,org):
		return self.__invoke_api("get","orgs/{}/repos/".format(org))
	def get_repo_data(self,owner,repo):
		return self.__invoke_api("get","repos/{}/{}/".format(owner,repo))
	def get_issue_data(self,owner,repo,number):
		return self.__invoke_api("get","repos/{}/{}/issues/{}".format(owner,repo,number))
